io.agora.rtc

## Class RtcImage

- java.lang.Object
- - io.agora.rtc.RtcImage

-     public class RtcImage
      extends java.lang.Object

  Image configuration for RTC.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `height` Height (px)
    `private java.lang.String` | `url` Image URL
    `private int` | `width` Width (px)
    `private int` | `x` X coordinate
    `private int` | `y` Y coordinate
    `private int` | `zOrder` Z-order

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtcImage()` Default constructor for RtcImage.
    `RtcImage(java.lang.String url, int x, int y, int width, int height, int zOrder)` Constructs RtcImage with URL, position, size, and z-order.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()` Gets the height (px).
    `java.lang.String` | `getUrl()` Gets the image URL.
    `int` | `getWidth()` Gets the width (px).
    `int` | `getX()` Gets the X coordinate.
    `int` | `getY()` Gets the Y coordinate.
    `int` | `getZOrder()` Gets the z-order.
    `void` | `setHeight(int height)` Sets the height (px).
    `void` | `setUrl(java.lang.String url)` Sets the image URL.
    `void` | `setWidth(int width)` Sets the width (px).
    `void` | `setX(int x)` Sets the X coordinate.
    `void` | `setY(int y)` Sets the Y coordinate.
    `void` | `setZOrder(int zOrder)` Sets the z-order.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### url

          private java.lang.String url

      Image URL

    - #### x

          private int x

      X coordinate

    - #### y

          private int y

      Y coordinate

    - #### width

          private int width

      Width (px)

    - #### height

          private int height

      Height (px)

    - #### zOrder

          private int zOrder

      Z-order

  - ### Constructor Detail

    - #### RtcImage

          public RtcImage()

      Default constructor for RtcImage.

    - #### RtcImage

          public RtcImage(java.lang.String url,
                          int x,
                          int y,
                          int width,
                          int height,
                          int zOrder)

      Constructs RtcImage with URL, position, size, and z-order.
      Parameters:
        `url` - Image URL
        `x` - X coordinate
        `y` - Y coordinate
        `width` - Width (px)
        `height` - Height (px)
        `zOrder` - Z-order

  - ### Method Detail

    - #### getUrl

          public java.lang.String getUrl()

      Gets the image URL.
      Returns:
        Image URL

    - #### setUrl

          public void setUrl(java.lang.String url)

      Sets the image URL.
      Parameters:
        `url` - Image URL

    - #### getX

          public int getX()

      Gets the X coordinate.
      Returns:
        X coordinate

    - #### setX

          public void setX(int x)

      Sets the X coordinate.
      Parameters:
        `x` - X coordinate

    - #### getY

          public int getY()

      Gets the Y coordinate.
      Returns:
        Y coordinate

    - #### setY

          public void setY(int y)

      Sets the Y coordinate.
      Parameters:
        `y` - Y coordinate

    - #### getWidth

          public int getWidth()

      Gets the width (px).
      Returns:
        Width (px)

    - #### setWidth

          public void setWidth(int width)

      Sets the width (px).
      Parameters:
        `width` - Width (px)

    - #### getHeight

          public int getHeight()

      Gets the height (px).
      Returns:
        Height (px)

    - #### setHeight

          public void setHeight(int height)

      Sets the height (px).
      Parameters:
        `height` - Height (px)

    - #### getZOrder

          public int getZOrder()

      Gets the z-order.
      Returns:
        Z-order

    - #### setZOrder

          public void setZOrder(int zOrder)

      Sets the z-order.
      Parameters:
        `zOrder` - Z-order